Skip to main content
PATCH
Update

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

objectId
string
required

The unique identifier of the object to update.

objectType
string
required

The type of the object to update.

Query Parameters

idProperty
string

The name of a property whose values are unique for this object type

Body

application/json

Represents the input required to update a CRM object, containing an object with property names and their corresponding values.

properties
object
required

An object containing key-value pairs where each key is a property name and each value is the property's new value. All properties are strings.

Response

successful operation

A simple public object.

archived
boolean
required

A boolean indicating whether this object is archived.

createdAt
string<date-time>
required

The date and time when this object was created, in ISO 8601 format.

id
string
required

The unique identifier for this object, represented as a string.

properties
object
required

An object containing key-value pairs representing the properties of the CRM object, where each key is a property name and the value is a string.

updatedAt
string<date-time>
required

The date and time when this object was last updated, in ISO 8601 format.

archivedAt
string<date-time>

The date and time when this object was archived, in ISO 8601 format.

objectWriteTraceId
string

Unique ID to identify each write operation, which will be returned with any errors to identify which request encountered which error.

propertiesWithHistory
object

An object containing key-value pairs where each key is a property name and the value is an array of historical values, each with a timestamp.

url
string

URL to go to the object

warnings
object[]

An array of warnings associated with this object, each represented by a PublicObjectWarning object.

Last modified on September 14, 2026